import { EIP1193Provider as EIP1193Provider } from "./provider";
export type AccountChangedListener = (account: string) => void;
export declare class EIP1193Core {
    constructor(provider: EIP1193Provider);
    protected _provider: EIP1193Provider;
    protected _onAccountChange: AccountChangedListener;
    protected _accounts: Array<string>;
    setAccountChangedListener(listener: AccountChangedListener): void;
    getAccounts(): Promise<Array<string>>;
    getActiveAccount(): Promise<string>;
    protected _updateAccounts(): Promise<void>;
    protected _getFirstAccountOrNull(): string;
    switchChain(chainId: bigint): Promise<void>;
    requestSignature(request: any, from: string): Promise<any>;
    protected _equalHex(hex1: string, hex2: string): boolean;
    protected _normalizeHex(hex: string): string;
}
export declare abstract class EIP1193Based {
    constructor(core: EIP1193Core);
    protected _core: EIP1193Core;
}
//# sourceMappingURL=core.d.ts.map