import { FlrApp, EthApp } from "./signer";
import { LedgerWallet } from "./wallet";
import { LedgerCore } from "./core";
export declare class LedgerWalletController {
    constructor(flrApp?: FlrApp, ethApp?: EthApp);
    static readonly FLR_APP = "Flare Network";
    static readonly ETH_APP = "Ethereum";
    protected readonly _core: LedgerCore;
    protected readonly _flrApp: FlrApp;
    protected readonly _ethApp: EthApp;
    protected _wallets: {
        [path: string]: {
            [signer: string]: LedgerWallet | null;
        };
    };
    getWallet(bip44Path: string, app?: string): Promise<LedgerWallet>;
    getActiveApp(): Promise<string>;
    protected _setupWallets(path: string): void;
}
//# sourceMappingURL=controller.d.ts.map