import { Wallet } from "../";
import { EthApp, FlrApp } from "./signer";
import { LedgerCore } from "./core";
export declare abstract class LedgerWallet implements Wallet {
    constructor(transport: any, derivationPath: string);
    protected readonly _core: LedgerCore;
    protected readonly _derivationPath: string;
    protected _address: string;
    protected _publicKey: string;
    abstract getPublicKey(): Promise<string>;
    getCAddress(): Promise<string>;
    protected _signEthMessage(signer: FlrApp | EthApp, app: string, message: string): Promise<string>;
    protected _readResponse(response: any, method: string): any;
    protected _extractSignature(payload: any): string;
    protected _getTxResolution(tx: string): any;
    protected _prefixedHex(value: string | number | Buffer): string;
    protected _hexUtf8(utf8String: string): string;
}
export declare class FlrLedgerWallet extends LedgerWallet {
    constructor(app: FlrApp, derivationPath: string);
    protected readonly _app: FlrApp;
    getPublicKey(): Promise<string>;
    signEthMessage(message: string): Promise<string>;
    signCTransaction(transaction: string): Promise<string>;
    signPTransaction(transaction: string): Promise<string>;
}
export declare class EthLedgerWallet extends LedgerWallet {
    constructor(app: EthApp, derivationPath: string);
    protected readonly _app: EthApp;
    getPublicKey(): Promise<string>;
    signEthMessage(message: string): Promise<string>;
    signCTransaction(transaction: string): Promise<string>;
}
//# sourceMappingURL=wallet.d.ts.map